Bug 102950 - 2.6.0-0.test3.1.31 debug error
2.6.0-0.test3.1.31 debug error
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 20:33 EDT by Eric Bursley
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Bursley 2003-08-22 20:33:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; YComp 
5.0.0.0; (R1 1.1); .NET CLR 1.1.4322)

Description of problem:
dmesg reports following error:

Debug: sleeping function called from invalid context at 
include/asm/uaccess.h:473
Call Trace:
 [<c011af2d>] __might_sleep+0x5d/0x70
 [<c010d06a>] save_v86_state+0x6a/0x200
 [<c010dba7>] handle_vm86_fault+0xb7/0x900
 [<c0144d44>] do_no_page+0x1b4/0x460
 [<c010bb50>] do_general_protection+0x0/0xb0
 [<c010add9>] error_code+0x2d/0x38
 [<c010ac2f>] syscall_call+0x7/0xb


Version-Release number of selected component (if applicable):
kernel-2.6.0-0.test3.1.31

How reproducible:
Always

Steps to Reproduce:
1.  Install test kernel
2.  Let run for a few days
3.
    

Actual Results:  Debug: sleeping function called from invalid context at 
include/asm/uaccess.h:473
Call Trace:
 [<c011af2d>] __might_sleep+0x5d/0x70
 [<c010d06a>] save_v86_state+0x6a/0x200
 [<c010dba7>] handle_vm86_fault+0xb7/0x900
 [<c0144d44>] do_no_page+0x1b4/0x460
 [<c010bb50>] do_general_protection+0x0/0xb0
 [<c010add9>] error_code+0x2d/0x38
 [<c010ac2f>] syscall_call+0x7/0xb


Expected Results:  no fault reported.  

Additional info:

System did not panic and remained operation, just reported error message.
Comment 1 Scott Hoffman 2003-08-27 22:10:13 EDT
I see this happening from logging out of X (or killing it with
CTRL-ALT-BACKSPACE).  I've tried it with the 'failsafe' login as well as gnome.
 Same results.

Aug 27 18:58:05 x1 kernel: Call Trace:
Aug 27 18:58:05 x1 kernel:  [<c01207db>] __might_sleep+0x5b/0x5d
Aug 27 18:58:05 x1 kernel:  [<c010dde6>] save_v86_state+0x66/0x200
Aug 27 18:58:05 x1 kernel:  [<c010e927>] handle_vm86_fault+0xa7/0x8c0
Aug 27 18:58:05 x1 kernel:  [<c011152d>] timer_interrupt+0x5d/0x120
Aug 27 18:58:05 x1 kernel:  [<c010d302>] do_IRQ+0xc2/0x140
Aug 27 18:58:05 x1 kernel:  [<c010c480>] do_general_protection+0x0/0xa0
Aug 27 18:58:05 x1 kernel:  [<c010b709>] error_code+0x2d/0x38
Aug 27 18:58:05 x1 kernel:  [<c010ac7f>] syscall_call+0x7/0xb

Aug 27 19:47:14 x1 kernel: Call Trace:
Aug 27 19:47:14 x1 kernel:  [<c01207db>] __might_sleep+0x5b/0x5d
Aug 27 19:47:14 x1 kernel:  [<c010dde6>] save_v86_state+0x66/0x200
Aug 27 19:47:14 x1 kernel:  [<c010e927>] handle_vm86_fault+0xa7/0x8c0
Aug 27 19:47:14 x1 kernel:  [<c015eafb>] do_sync_write+0x8b/0xc0
Aug 27 19:47:14 x1 kernel:  [<c01b5ba5>] inode_has_perm+0x65/0xa0
Aug 27 19:47:14 x1 kernel:  [<c010c480>] do_general_protection+0x0/0xa0
Aug 27 19:47:14 x1 kernel:  [<c010b709>] error_code+0x2d/0x38
Aug 27 19:47:14 x1 kernel:  [<c010ac7f>] syscall_call+0x7/0xb

Comment 2 Eric Bursley 2003-08-28 07:10:30 EDT
I get the same results with 2.6.0-0.test4.1.32
Debug: sleeping function called from invalid context at 
include/asm/uaccess.h:473
Call Trace:
 [<c011afed>] __might_sleep+0x5d/0x70
 [<c010d0ea>] save_v86_state+0x6a/0x200
 [<c010dc27>] handle_vm86_fault+0xb7/0x900
 [<c01458a4>] do_no_page+0x1b4/0x460
 [<c010bba0>] do_general_protection+0x0/0xb0
 [<c010ae29>] error_code+0x2d/0x38
 [<c010ac7f>] syscall_call+0x7/0xb

This does look like it could be related to X stopping.  I started X and then 
logged out and I get the message.  I then restarted X and logged back out and 
received another message.
I'm using KDE 3.1.2-0, and XFree86-4.3.0-2

Comment 3 Bugzilla owner 2004-09-30 11:41:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.